package com.yihaomen.common.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;


@Controller
public class AdminController {
	
	@RequestMapping(value = "/admin", method = RequestMethod.GET)
	public String welcomeAdmin(ModelMap model) {
 
		model.addAttribute("message", "Spring Security - ROLE_ADMIN");
		return "admin";
 
	}
	
	/**
	 * 配置自定义页面方式用到的
	 * @param model
	 * @return
	 */
	@RequestMapping(value = "/403", method = RequestMethod.GET)
	public String errorpage(ModelMap model) { 
		model.addAttribute("message", "你没有访问权限");
		return "403";
 
	}

}
